Subject: Re: [PATCH] Allow 'git cmd -h' outside of repository

From: SZEDER Gábor <[email-masked]>
Date: Fri, 29 Aug 2008 13:52:55 +0200

On Fri, Aug 29, 2008 at 01:35:02PM +0200, Johannes Schindelin wrote:
> You miss the fact that "git grep -h" does not mean "show usage".  Oh, and 
> "git ls-remote -h" neither.  Three times's a charm: "git show-ref -h" does 
> not show the help either.
you are right with grep and show-ref.  However, ls-remote does not
require a repository, so it would not be affected by this patch.

> I am also not quite certain if we should not just tout "git help <cmd>" as 
> the official way to request help.
Well, I would prefer to keep the short usage.

But anyway, having this inconsistency with the -h option across git
commands is bad.

Regards,
Gábor